%define name perl-iostringy
%define real_name iostringy
%define version 2.108

Name: %{name}
Version: %{version}
Summary: IO-stringy module for Perl
Release: 2
License: GPL or Artistic
Group: 		System Environment/Libraries
Source0: http://www.cpan.org/authors/id/E/ER/ERYQ/IO-stringy-%{version}.tar.gz
Url: http://www.cpan.org
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Requires: perl >= 5.6.0
#Patch0: perl-libnet-nointeractive.patch.bz2

%description
IO-stringy  module for perl. Needed for MIME-tools and Amavis-Perl

%prep
%setup -q -n IO-stringy-%{version}
#%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 

%files
%defattr(-,root,root)
%doc COPYING README README.system MANIFEST docs/* examples/*
%{_libdir}/perl5/vendor_perl/
%{_mandir}/*/*

%changelog
* Mon Oct 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Red Hat 8.0 release

* Mon Jan 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- First release
